<?php
class BaseDatos {

	function BaseDatos() {
	}
function connectClass(){
	global $strings,$oConn,$databaseType;
 	$oConn = mysql_connect("127.0.0.1","root","");
 	if (! $oConn){
 		echo ("Imposible establecer conexion con la base de datos.");
 		exit();
 	}
 	mysql_select_db("topicoss05", $oConn);
}


	function query($sql) {
		global $oConn;
		$this->sql = $sql;
		$this->result = mysql_query($sql);
		return $this->result;
	}
	
	function fetch() {
		global $row;
		if (!$this->result) {
			echo "Un Error ha ocurrido.\n";
			echo "<font color=red><b>".mysql_error($row)."</b></font><br><br><br>";
			echo "<font color=red><b>La consulta es: \"".$this->sql."\"</b></font><br>";
			exit;
		}
		$row=mysql_fetch_array($this->result);
		return $row;
	}

	function close() {
		global $oConn;
		@mysql_free_result($this->result);
		@mysql_close($oConn);
	}

	/**
	 * Esta es una funciona bla bla bla bla
	 *
	 * @param String $query
	 * @author Hector Hidalgo Sepulveda
	 * @todo falta revisar la variable $oConn por problemas de seguridad
	 * @return True or False
	 */
	function insertbd($query){
		global $oConn, $row, $sql;
		$this->connectClass();
		$sql = $query;
		$result = $this->query($sql);
		//$this->lastId = pg_last_oid($oConn);
		$this->close();
		
		if ($result){
			return true;
		}else{
			global $msg; 
			$msg = $sql;
			return false;
		}
	}

	//Codigo Simple para hacer un UPDATE
	function updatebd($sqlquery){
		global $oConn, $row;
		$this->connectClass();
		$sql = $sqlquery;
		$result = $this->query($sql);
		$this->close();
		if($result){
			return true;
		}else{
			return false;
		}
	}	

	//Codigo Simple para hacer un DELETE
	function deletebd($sqlquery){
		return $this->insertbd($sqlquery);
	}

}//Fin de la Clase
?>
